pappso::MassSpectrumFilterResampleKeepMzRange Class Reference

`#include <filterresample.h>`

Inheritance diagram for pappso::MassSpectrumFilterResampleKeepMzRange:

## Public Member Functions

| MassSpectrumFilterResampleKeepMzRange (const MzRange &mz_range)
| MassSpectrumFilterResampleKeepMzRange (const MassSpectrumFilterResampleKeepMzRange &other)
virtual | ~MassSpectrumFilterResampleKeepMzRange ()
MassSpectrum & | filter (MassSpectrum &spectrum) const override
Public Member Functions inherited from pappso::MassSpectrumFilterInterface
virtual | ~MassSpectrumFilterInterface ()

## Private Attributes

const FilterResampleKeepXRange | m_filterRange

## Detailed Description

Definition at line 154 of file filterresample.h.

## Constructor & Destructor Documentation

## MassSpectrumFilterResampleKeepMzRange() [1/2]

pappso::MassSpectrumFilterResampleKeepMzRange::MassSpectrumFilterResampleKeepMzRange | ( | const MzRange & | mz_range | ) |

Definition at line 222 of file filterresample.cpp.

: m_filterRange(mz_range.lower(), mz_range.upper())
{
}
pappso::MassSpectrumFilterResampleKeepMzRange::m_filterRange
const FilterResampleKeepXRange m_filterRange
Definition: filterresample.h:158

## MassSpectrumFilterResampleKeepMzRange() [2/2]

pappso::MassSpectrumFilterResampleKeepMzRange::MassSpectrumFilterResampleKeepMzRange | ( | const MassSpectrumFilterResampleKeepMzRange & | other | ) |

Definition at line 228 of file filterresample.cpp.

: m_filterRange(other.m_filterRange)
{
}

## ~MassSpectrumFilterResampleKeepMzRange()

virtual pappso::MassSpectrumFilterResampleKeepMzRange::~MassSpectrumFilterResampleKeepMzRange | ( |  | ) |

inline virtual

Definition at line 164 of file filterresample.h.

{};

## Member Function Documentation

## filter()

MassSpectrum & pappso::MassSpectrumFilterResampleKeepMzRange::filter | ( | MassSpectrum & | spectrum | ) | const

override virtual

Implements pappso::MassSpectrumFilterInterface.

Definition at line 235 of file filterresample.cpp.

{
m_filterRange.filter(spectrum);
return spectrum;
}
pappso::FilterResampleKeepXRange::filter
Trace & filter(Trace &trace) const override
Definition: filterresample.cpp:167

References pappso::FilterResampleKeepXRange::filter(), and m_filterRange.

## Member Data Documentation

## m_filterRange

const FilterResampleKeepXRange pappso::MassSpectrumFilterResampleKeepMzRange::m_filterRange

private

Definition at line 158 of file filterresample.h.

Referenced by filter().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterresample.h
- pappsomspp/processing/filters/filterresample.cpp